### Method

# FwupdPlugin Device set_remove_delay

#### Declaration [src]

    void
    fu_device_set_remove_delay (
      FuDevice* self,
      guint remove_delay
    )

#### Description [src]

Sets the amount of time a device is allowed to return in bootloader mode.

NOTE: this should be less than 3000ms for devices that just have to reset and automatically re-enumerate, but significantly longer if it involves a user removing a cable, pressing several buttons and removing a cable. A suggested value for this would be 10,000ms.

Available since: | 1.0.2

#### Parameters

`remove_delay` | `guint`
| The value in milliseconds.